Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage
Interface ValueTriangle

All Superinterfaces:
  ValueObject

    @UML(identifier="CV_ValueTriangle",
         specification=ISO_19123)
    public interface ValueTriangle

extends ValueObject

A value object that consists of three point-value pairs where the points are non-collinear. Value triangles are used for interpolation of a coverage.

Method Summary
`Set<PointValuePair>` | `getControlValues()` Returns the three point-value pairs at the vertices of this value triangle.
`DomainObject` | `getGeometry()` Returns the triangle that defines the relative position of the three point-value pairs at its vertices.
`double[]` | `point(DirectPosition p)` Returns the barycentric coordinates of the specified position as a sequence of numbers.

Methods inherited from interface ValueObject
`getInterpolationParameters, interpolate`

Method Detail

### getGeometry

    @UML(identifier="geometry",
         obligation=MANDATORY,
         specification=ISO_19123)
    DomainObject getGeometry()

  Returns the triangle that defines the relative position of the three point-value pairs at its vertices.

  Specified by:
    `getGeometry` in interface `ValueObject`
  TODO:
    The returns type in ISO-19123 is `Triangle`.

### getControlValues

    @UML(identifier="controlValue",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<PointValuePair> getControlValues()

  Returns the three point-value pairs at the vertices of this value triangle.

  Specified by:
    `getControlValues` in interface `ValueObject`

### point

    @UML(identifier="point",
         obligation=MANDATORY,
         specification=ISO_19123)
    double[] point(DirectPosition p)

  Returns the barycentric coordinates of the specified position as a sequence of numbers.

  TODO:
    Why not returning an other `DirectPosition`?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.